Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.instruct
Class UserFunctionParameter

    java.lang.Object
      net.sf.saxon.instruct.UserFunctionParameter

All Implemented Interfaces:
  Binding, java.io.Serializable

public class UserFunctionParameter
extends java.lang.Object
implements Binding, java.io.Serializable

Run-time object representing a formal argument to a user-defined function

See Also:
  Serialized Form

Constructor Summary
`UserFunctionParameter()`

Method Summary
`ValueRepresentation` | `evaluateVariable(XPathContext context)` Evaluate the variable
`int` | `getReferenceCount()`
`SequenceType` | `getRequiredType()`
`boolean` | `isGlobal()` Indicate whether the binding is local or global.
`void` | `setReferenceCount(int count)`
`void` | `setRequiredType(SequenceType type)`
`void` | `setSlotNumber(int slot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserFunctionParameter

    public UserFunctionParameter()

Method Detail

### isGlobal

    public boolean isGlobal()

  Indicate whether the binding is local or global. A global binding is one that has a fixed value for the life of a query or transformation; any other binding is local.

  Specified by:
    `isGlobal` in interface `Binding`

### setRequiredType

    public void setRequiredType(SequenceType type)

### getRequiredType

    public SequenceType getRequiredType()

### setReferenceCount

    public void setReferenceCount(int count)

### getReferenceCount

    public int getReferenceCount()

### setSlotNumber

    public void setSlotNumber(int slot)

### evaluateVariable

    public ValueRepresentation evaluateVariable(XPathContext context)
                                         throws XPathException

  Description copied from interface: `Binding`
  Evaluate the variable

  Specified by:
    `evaluateVariable` in interface `Binding`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD